# VLCKit: VLCExtensionsManager Class Reference

VLCExtensionsManager Class Reference

`#import <VLCExtensionsManager.h>`

Inheritance diagram for VLCExtensionsManager:

## Instance Methods

(void) | - runExtension:

## Class Methods

(VLCExtensionsManager *) | + sharedManager

## Properties

NSArray * | extensions
VLCMediaPlayer * | mediaPlayer

## Detailed Description

manager class for lua extensions within VLC

## Method Documentation

- (void) runExtension: |  | (VLCExtension *) | extension |

start execution of a given extension instance

Parameters

  extension | the extension to run

+ (VLCExtensionsManager *) sharedManager |  |  |

singleton manager instance

## Property Documentation

- (NSArray*) extensions

readatomiccopy

list of available extensions

- (VLCMediaPlayer*) mediaPlayer

readwriteatomicstrong

player instance to use with the extensions

The documentation for this class was generated from the following file:

- Headers/Public/VLCExtensionsManager.h